{
  config,
  pkgs,
  lib,
  flakes,
  ...
}:
with lib; {
  imports = [
  ];

  nix.registry = {
    "system".to = {
      type = "path";
      path = "/home/fabian/nix";
    };

    "nixpkgs".flake = flakes.nixpkgs;
    "unstable".flake = flakes.unstable;
  };

  local = {
    baseline.enable = true;

    services = {
      zsh = {
        enable = true;
        prompt = "%B<%~> \${vcs_info_msg_0_}%b";
      };
    };

    apps = {
      neovim.enable = true;
    };
  };

  home = {
    packages = with pkgs; [
    ];

    username = "fabian";
    homeDirectory = "/home/fabian";
  };
}
